Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.cache
Class P13nCacheProvider

    java.lang.Object
      com.bea.p13n.cache.spi.CacheProvider
          com.bea.p13n.cache.P13nCacheProvider

    public class P13nCacheProvider

extends CacheProvider

Default `CacheProvider` implementation. This class should not be created or used directly. All caches should be obtained from the `CacheFactory`.

Field Summary
`static String` | `ID` Provider id, "com.bea.p13n"

Constructor Summary
`P13nCacheProvider()`

Method Summary
`Cache` | `getCache(String cacheName, CacheConfig config)` Return a `Cache` instance for the given name.
`String` | `getProviderId()` Name or identity of this provider.
`String` | `getVendorInfo()` Returns the name of the organization, vendor, or company that provided this implementation.
`String` | `getVersionString()` Return the version of this Cache provider implementation.
`void` | `init()` Initialize the CacheProvider.

Methods inherited from class com.bea.p13n.cache.spi.CacheProvider
`flushCache, flushKeys, getScopeIdentifier, release, releaseCache, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ID

    public static final String ID

  Provider id, "com.bea.p13n"

  See Also
    Constants Summary

Constructor Detail

### P13nCacheProvider

    public P13nCacheProvider()

Method Detail

### init

    public void init()

  Description copied from class: `CacheProvider`
  Initialize the CacheProvider. This method is called immediately after instantiation and before the provider is used.

  This default implementation does nothing.

  Overrides:
    `init` in class `CacheProvider`

### getCache

    public Cache getCache(String cacheName,
                          CacheConfig config)

  Return a `Cache` instance for the given name. If a p13n cache has already been created via the CacheFactory then that existing cache is returned. Otherwise, this creates a new cache instance using the specified configuration object.

  Specified by:
    `getCache` in class `CacheProvider`
  Parameters
    `cacheName` - the name of the Cache to return
    `config` - suggested Cache configuration that may be used by the CacheProvider to configure the returned Cache; this may be ignored by the CacheProvider
  Returns
    a Cache instance identified by the given name

### getProviderId

    public String getProviderId()

  Description copied from class: `CacheProvider`
  Name or identity of this provider. This is used to uniquely identify a provider during configuration. It is suggested that this id be based on the vendor package namespace, such as "com.bea.p13n" (which is the name of the default P13nCacheProvider).

  Specified by:
    `getProviderId` in class `CacheProvider`
  Returns
    the provider id

### getVendorInfo

    public String getVendorInfo()

  Description copied from class: `CacheProvider`
  Returns the name of the organization, vendor, or company that provided this implementation.

  Specified by:
    `getVendorInfo` in class `CacheProvider`
  Returns
    "BEA Systems, Inc."

### getVersionString

    public String getVersionString()

  Description copied from class: `CacheProvider`
  Return the version of this Cache provider implementation.

  Specified by:
    `getVersionString` in class `CacheProvider`
  Returns
    the version

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.